# pandas.api.extensions.ExtensionArray.factorize

ExtensionArray.factorize(na_sentinel=- 1)

  Encode the extension array as an enumerated type.

  Parameters
    na_sentinel int, default -1

      Value to use in the codes array to indicate missing values.

  Returns
    codes ndarray

      An integer NumPy array that’s an indexer into the original ExtensionArray.

    uniques ExtensionArray

      An ExtensionArray containing the unique values of self.

      Note

      uniques will not contain an entry for the NA value of the ExtensionArray if there are any missing values present in self.

  See also

  `factorize`

    Top-level factorize method that dispatches here.

  Notes

  `pandas.factorize()` offers a sort keyword as well.